低危 tif_aux.c中的_TIFFCheckMalloc和_TIFFCheckRealloc中的整数溢出

CVE编号

CVE-2019-14973

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-08-14
漏洞描述
LiboteFF中tif_aux.c中的_TIFFCheckMalloc和_TIFFCheckRealloc通过4.0.10错误处理整数溢出检查,因为它们依赖于适用的C标准未定义的编译器行为。例如,这可能导致应用程序崩溃。<br>
解决建议
厂商已发布了漏洞修复程序,请及时关注更新:
https://gitlab.com/libtiff/libtiff/merge_requests/90
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 libtiff libtiff * Up to
(including)
4.0.10
运行在以下环境
系统 alibaba_cloud_linux_2.1903 tiff * Up to
(excluding)
4.0.3-35.1.al7
运行在以下环境
系统 alpine_3.10 tiff * Up to
(excluding)
4.0.10-r1
运行在以下环境
系统 alpine_3.11 tiff * Up to
(excluding)
4.0.10-r1
运行在以下环境
系统 alpine_3.12 tiff * Up to
(excluding)
4.0.10-r1
运行在以下环境
系统 alpine_3.13 tiff * Up to
(excluding)
4.0.10-r1
运行在以下环境
系统 alpine_3.14 tiff * Up to
(excluding)
4.0.10-r1
运行在以下环境
系统 alpine_3.15 tiff * Up to
(excluding)
4.0.10-r1
运行在以下环境
系统 alpine_3.16 tiff * Up to
(excluding)
4.0.10-r1
运行在以下环境
系统 alpine_3.7 tiff * Up to
(excluding)
4.0.10-r1
运行在以下环境
系统 alpine_3.8 tiff * Up to
(excluding)
4.0.10-r1
运行在以下环境
系统 alpine_3.9 tiff * Up to
(excluding)
4.0.10-r1
运行在以下环境
系统 alpine_edge tiff * Up to
(excluding)
4.0.10-r1
运行在以下环境
系统 amazon_2 tiff * Up to
(excluding)
4.0.3-35.amzn2
运行在以下环境
系统 amazon_AMI tiff * Up to
(excluding)
4.0.3-35.36.amzn1
运行在以下环境
系统 centos_8 tiff * Up to
(excluding)
4.0.9-17.el8
运行在以下环境
系统 debian_10 tiff * Up to
(excluding)
4.1.0+git191117-2~deb10u1
运行在以下环境
系统 debian_8 tiff * Up to
(excluding)
4.0.3-12.3+deb8u10
运行在以下环境
系统 debian_9 tiff * Up to
(excluding)
4.0.8-2+deb9u5
运行在以下环境
系统 fedora_30 tiff * Up to
(excluding)
4.0.10-7.fc30
运行在以下环境
系统 fedora_31 tiff * Up to
(excluding)
4.0.10-7.fc31
运行在以下环境
系统 opensuse_Leap_15.1 tiff * Up to
(excluding)
4.0.9-lp151.10.3.1
运行在以下环境
系统 opensuse_Leap_15.2 tiff * Up to
(excluding)
4.0.9-lp152.11.3.1
运行在以下环境
系统 oracle_7 tiff * Up to
(excluding)
4.0.3-35.el7
运行在以下环境
系统 oracle_8 tiff * Up to
(excluding)
4.0.9-17.el8
运行在以下环境
系统 redhat_7 libtiff * Up to
(excluding)
0:4.0.3-35.el7
运行在以下环境
系统 redhat_8 tiff * Up to
(excluding)
4.0.9-17.el8
运行在以下环境
系统 suse_12 libtiff5 * Up to
(excluding)
4.0.9-44.42
运行在以下环境
系统 suse_12_SP4 tiff * Up to
(excluding)
4.0.9-44.42.1
运行在以下环境
系统 suse_12_SP5 tiff * Up to
(excluding)
4.0.9-44.42.1
运行在以下环境
系统 ubuntu_16.04 tiff * Up to
(excluding)
4.0.6-1ubuntu0.7
运行在以下环境
系统 ubuntu_16.04.7_lts tiff * Up to
(excluding)
4.0.6-1ubuntu0.7
运行在以下环境
系统 ubuntu_18.04 tiff * Up to
(excluding)
4.0.9-5ubuntu0.3
运行在以下环境
系统 ubuntu_18.04.5_lts tiff * Up to
(excluding)
4.0.9-5ubuntu0.3
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-190 整数溢出或超界折返
阿里云安全产品覆盖情况